%define name    feh
%define version 1.3.4
%define release %mkrel 3

%define section Multimedia/Graphics
%define title   Feh
%define Summary Image viewer at heart, though it does other cool stuff

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release
License:        BSD
Group:          Graphics
URL:            http://www.linuxbrit.co.uk/feh/

Source0:        http://www.linuxbrit.co.uk/downloads/%name-%version.tar.bz2
Source1:        %name-icons.tar.bz2

BuildRoot:      %_tmppath/%name-buildroot
Buildrequires:  imlib2-devel
Buildrequires:  giblib-devel
Buildrequires:  jpeg-devel 
BuildRequires:  png-devel

%description
Feh is an imageviewer, but it does a whole lot of other cool stuff as
well. There are simply too many to mention them here so please check the
docs/homepage.


%prep
%setup -q
%setup -q -T -D -a1
# Don't let make install install the doc-files.
%__perl -pi -e 's,install-data-am: install-man install-docsDATA,install-data-am: install-man,' Makefile.in

%build
%configure
%make


%install
%__rm -rf %buildroot
%makeinstall

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name %_datadir/wallpapers/*" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="%title" \
longtitle="%Summary" \
xdg="true"
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=%{name} -c
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Graphics
EOF


%__install -D -m 644 %{name}-48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}-32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}-16.png %buildroot/%_miconsdir/%name.png


%post
%update_menus

%postun
%clean_menus


%clean
%__rm -rf %buildroot


%files
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog README TODO
%_menudir/%name
%_datadir/%name/fonts/*
%_datadir/%name/images/*
%_mandir/man1/%name.1.bz2
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_datadir/applications/*

%changelog
* Mon Aug 07 2006 Lenny Cartier <lenny@mandriva.com> 1.3.4-3mdv2007.0
- xdg

* Tue May 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.3.4-2mdk
- fix buildrequires (and thus build on x86_64)

* Tue Mar 28 2006 Jerome Soyer <saispo@mandriva.org> 1.3.4-1mdk
- New release 1.3.4

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3-2mdk
- Fix BuildRequires

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3-1mdk
- New release 1.3.3
- Fix BuildRequires
- mkrel

* Mon Nov 08 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.9-1mdk
- 1.2.9

* Fri Sep 26 2003 Han Boetes <han@linux-mandrake.com> 1.2.6-2mdk
- feh needs files otherwise it won't work. Not realy intuitive...

* Thu Sep 18 2003 Han Boetes <han@linux-mandrake.com> 1.2.6-1mdk
- Initial mandrake release.
